package core

import (
	"fmt"
	"mtp20_assisted/global"

	"github.com/jlaffaye/ftp"
	"go.uber.org/zap"
)

// FTP 连接FTP
func FTP() (client *ftp.ServerConn, err error) {
	// 连接FTP服务器
	if client, err = ftp.Dial(fmt.Sprintf("%v:%v", global.M2A_CONFIG.FTP.Address, global.M2A_CONFIG.FTP.Port)); err != nil {
		global.M2A_LOG.Error("ftp connect failed, err:", zap.Error(err))
		return
	}

	// 登录FTP服务器
	if err = client.Login(global.M2A_CONFIG.FTP.Name, global.M2A_CONFIG.FTP.PWD); err != nil {
		global.M2A_LOG.Error("ftp login failed, err:", zap.Error(err))
		return
	}

	return
}
